<script>
import Loader from "@components/utils/loader";

export default {
  name: "modal_historique",
  components: { Loader },
  data() {
    return {
      issues: null,
      contacts: null,
    };
  },
  async mounted() {
    this.issues = await this.$store.dispatch('issue/getByUser')
    this.contacts = await this.$store.dispatch('contact/getByUser')
  }
}
</script>

<template>
  <div>
  <div v-if="issues != null && contacts !=null" id="history">
    <div>
      <h5>Mes demandes d'annomalies en cours</h5>
      <ul v-if="issues.length">
        <li v-for="issue in issues">
          {{ issue.content }} <span class="float-right badge" :class="issue.getClassColor">{{ issue.getNameStatus }}</span>
        </li>
      </ul>
      <p v-else>Aucune demande d'annomalie en cours</p>
    </div>
    <div>
      <h5>Mes demandes d'informations en cours</h5>
      <ul v-if="contacts.length">
        <li v-for="contact in contacts">
          {{ contact.content }} <span class="float-right badge" :class="contact.getClassColor">{{ contact.getNameStatus }}</span>
        </li>
      </ul>
      <p v-else>Aucune demande de contact en cours</p>
    </div>
  </div>
  <loader v-else></loader>
  </div>
</template>

<style lang="scss">
#history{
  ul{
    list-style: none;
    width: 300px;
    margin: 0 auto;
    padding-left: 0px;
  }
}
</style>
